
/*========================================== Row / Colum Background Base Css ==========================================*/
.dsvy-col-stretched-yes .dsvy-stretched-div{
    position: absolute;
    height: 100%;
    width: 100%;
    top:0;
    left: 0;    
    width: auto;
    z-index: 1;
    overflow: hidden;
}
.dsvy-col-stretched-right .dsvy-stretched-div,
.dsvy-col-stretched-left .dsvy-stretched-div{   
    right: 0;
}

.elementor-section.elementor-top-section.dsvy-bg-image-over-color.dsvy-bgimage-yes:before,
.elementor-column.elementor-top-column.dsvy-bgimage-yes.dsvy-bg-image-over-color > .dsvy-stretched-div:before,

.elementor-column.elementor-top-column.dsvy-bg-image-over-color > .elementor-widget-wrap:before,
.elementor-column.elementor-top-column.dsvy-bg-image-over-color > .elementor-column-wrap:before{ 
	background-color: transparent !important;
}
.elementor-column.dsvy-col-stretched-yes.dsvy-bgimage-yes{
    background-image: none;
    background-color: transparent;
}
.dsvy-bgimage-over-bgcolor.dsvy-bgimage-yes .dsvy-stretched-div:before,
.dsvy-bgimage-over-bgcolor.dsvy-bgimage-yes:before{
   background-color: transparent !important
}


.elementor-top-section:before, 
.dsvy-col-stretched-yes .dsvy-stretched-div:before,

.elementor-column.elementor-top-column .elementor-widget-wrap:before,
.elementor-column.elementor-top-column .elementor-column-wrap:before,

.elementor-inner-column > div:before,
.elementor-inner-section:before{
	position: absolute;
	height: 100%;
	width: 100%;
	top: 0;
	left: 0;
	content: "";
	display: block;
	z-index: 1;
}


/* --------------------------------------
 * Row Colum - Global BG Color
 * ---------------------------------------*/


/*--- Main RoW BG ---*/
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-globalcolor, 
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-globalcolor:before, 
.elementor-section.elementor-inner-section.dsvy-elementor-bg-color-globalcolor {
    background-color: <?php echo esc_attr($global_color); ?>;
}

/*--- Main Row BG - with image ---*/
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-globalcolor.dsvy-bgimage-yes:before{
	background-color: <?php echo dsvy_hex2rgb($global_color, '0.60') ?>;
}



/*--- Main Colum BG - ---*/
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-globalcolor:not(.dsvy-bgimage-yes) .elementor-widget-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-globalcolor.dsvy-bg-image-over-color .elementor-widget-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-globalcolor:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-globalcolor.dsvy-bg-image-over-color:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap,

.elementor-column.elementor-top-column.dsvy-elementor-bg-color-globalcolor:not(.dsvy-bgimage-yes) .elementor-column-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-globalcolor.dsvy-bg-image-over-color .elementor-column-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-globalcolor:not(.dsvy-col-stretched-yes) > .elementor-column-wrap, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-globalcolor.dsvy-bg-image-over-color:not(.dsvy-col-stretched-yes) > .elementor-column-wrap{
	background-color: <?php echo esc_attr($global_color); ?> !important;
}


/*--- Main Colum BG - with image ---*/
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-globalcolor.dsvy-bgimage-yes:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-globalcolor.dsvy-bgimage-yes:not(.dsvy-bg-image-over-color) .elementor-widget-wrap .dsvy-stretched-div:before,
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-globalcolor .elementor-widget-wrap .dsvy-bgimage-yes.dsvy-stretched-div:before,

.elementor-column.elementor-top-column.dsvy-elementor-bg-color-globalcolor.dsvy-bgimage-yes:not(.dsvy-col-stretched-yes) > .elementor-column-wrap:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-globalcolor.dsvy-bgimage-yes:not(.dsvy-bg-image-over-color) .elementor-column-wrap .dsvy-stretched-div:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-globalcolor .elementor-column-wrap .dsvy-bgimage-yes.dsvy-stretched-div:before{
	background-color: <?php echo dsvy_hex2rgb($global_color, '0.60') ?>;
}


/*--- Inner Colum BG  ---*/
.elementor-inner-section.dsvy-elementor-bg-color-globalcolor{ 
	background-color: <?php echo esc_attr($global_color); ?> !important;
}

/*--- Inner Row - without image ---*/
.elementor-inner-section.dsvy-elementor-bg-color-globalcolor:not(.dsvy-bg-image-over-color):before{
	background-color: <?php echo dsvy_hex2rgb($global_color, '0.60') ?>;
}


/*--- Inner Colum BG ---*/
.elementor-inner-column.dsvy-elementor-bg-color-globalcolor > div.elementor-column-wrap,
.elementor-inner-column.dsvy-elementor-bg-color-globalcolor > div.elementor-widget-wrap{ 
	background-color: <?php echo esc_attr($global_color); ?> !important;
}

/*--- Inner Colum BG - with image ---*/
.elementor-inner-column.dsvy-elementor-bg-color-globalcolor:not(.dsvy-bg-image-over-color) > div.elementor-column-wrap:before,
.elementor-inner-column.dsvy-elementor-bg-color-globalcolor:not(.dsvy-bg-image-over-color) > div.elementor-widget-wrap:before{
	background-color: <?php echo dsvy_hex2rgb($global_color, '0.60') ?>;
}


/*====== End --- Row Colum - Global BG Color ======*/

/* --------------------------------------
 * Row Colum - Light BG Color
 * ---------------------------------------*/


/*--- Main RoW BG ---*/
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-light, 
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-light:before, 
.elementor-section.elementor-inner-section.dsvy-elementor-bg-color-light {
    background-color: <?php echo esc_attr($light_bg_color); ?>;
}

/*--- Main Row BG - with image ---*/
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-light.dsvy-bgimage-yes:before{
	background-color: <?php echo dsvy_hex2rgb($light_bg_color, '0.60') ?>;
}

/*--- Main Colum BG - ---*/
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-light:not(.dsvy-bgimage-yes) .elementor-widget-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-light.dsvy-bg-image-over-color .elementor-widget-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-light:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-light.dsvy-bg-image-over-color:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap,

.elementor-column.elementor-top-column.dsvy-elementor-bg-color-light:not(.dsvy-bgimage-yes) .elementor-column-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-light.dsvy-bg-image-over-color .elementor-column-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-light:not(.dsvy-col-stretched-yes) > .elementor-column-wrap, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-light.dsvy-bg-image-over-color:not(.dsvy-col-stretched-yes) > .elementor-column-wrap{
	background-color: <?php echo esc_attr($light_bg_color); ?> !important;
}


/*--- Main Colum BG - with image ---*/
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-light.dsvy-bgimage-yes:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-light.dsvy-bgimage-yes:not(.dsvy-bg-image-over-color) .elementor-widget-wrap .dsvy-stretched-div:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-light .elementor-widget-wrap .dsvy-bgimage-yes.dsvy-stretched-div:before,

.elementor-column.elementor-top-column.dsvy-elementor-bg-color-light.dsvy-bgimage-yes:not(.dsvy-col-stretched-yes) > .elementor-column-wrap:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-light.dsvy-bgimage-yes:not(.dsvy-bg-image-over-color) .elementor-column-wrap .dsvy-stretched-div:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-light .elementor-column-wrap .dsvy-bgimage-yes.dsvy-stretched-div:before{
	background-color: <?php echo dsvy_hex2rgb($light_bg_color, '0.60') ?>;
}


/*--- Inner Colum BG  ---*/
.elementor-inner-section.dsvy-elementor-bg-color-light{ 
	background-color: <?php echo esc_attr($light_bg_color); ?> !important;
}

/*--- Inner Row - without image ---*/
.elementor-inner-section.dsvy-elementor-bg-color-light:not(.dsvy-bg-image-over-color):before{
	background-color: <?php echo dsvy_hex2rgb($light_bg_color, '0.60') ?>;
}


/*--- Inner Colum BG ---*/
.elementor-inner-column.dsvy-elementor-bg-color-light > div.elementor-column-wrap,
.elementor-inner-column.dsvy-elementor-bg-color-light > div.elementor-widget-wrap{ 
	background-color: <?php echo esc_attr($light_bg_color); ?> !important;
}

/*--- Inner Colum BG - with image ---*/
.elementor-inner-column.dsvy-elementor-bg-color-light:not(.dsvy-bg-image-over-color) > div.elementor-column-wrap:before,
.elementor-inner-column.dsvy-elementor-bg-color-light:not(.dsvy-bg-image-over-color) > div.elementor-widget-wrap:before{
	background-color: <?php echo dsvy_hex2rgb($light_bg_color, '0.60') ?>;
}


/*====== End --- Row Colum - Light BG Color ======*/

/* --------------------------------------
 * Row Colum - Secondary BG Color
 * ---------------------------------------*/


/*--- Main RoW BG ---*/
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-secondary, 
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-secondary:before, 
.elementor-section.elementor-inner-section.dsvy-elementor-bg-color-secondary {
    background-color: <?php echo esc_attr($secondary_color); ?>;
}

/*--- Main Row BG - with image ---*/
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-secondary.dsvy-bgimage-yes:before{
	background-color: <?php echo dsvy_hex2rgb($secondary_color, '0.60') ?>;
}

/*--- Main Colum BG - ---*/
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-secondary:not(.dsvy-bgimage-yes) .elementor-widget-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-secondary.dsvy-bg-image-over-color .elementor-widget-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-secondary:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-secondary.dsvy-bg-image-over-color:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap,

.elementor-column.elementor-top-column.dsvy-elementor-bg-color-secondary:not(.dsvy-bgimage-yes) .elementor-column-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-secondary.dsvy-bg-image-over-color .elementor-column-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-secondary:not(.dsvy-col-stretched-yes) > .elementor-column-wrap, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-secondary.dsvy-bg-image-over-color:not(.dsvy-col-stretched-yes) > .elementor-column-wrap{
	background-color: <?php echo esc_attr($secondary_color); ?> !important;
}


/*--- Main Colum BG - with image ---*/
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-secondary.dsvy-bgimage-yes:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-secondary.dsvy-bgimage-yes:not(.dsvy-bg-image-over-color) .elementor-widget-wrap .dsvy-stretched-div:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-secondary .elementor-widget-wrap .dsvy-bgimage-yes.dsvy-stretched-div:before,

.elementor-column.elementor-top-column.dsvy-elementor-bg-color-secondary.dsvy-bgimage-yes:not(.dsvy-col-stretched-yes) > .elementor-column-wrap:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-secondary.dsvy-bgimage-yes:not(.dsvy-bg-image-over-color) .elementor-column-wrap .dsvy-stretched-div:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-secondary .elementor-column-wrap .dsvy-bgimage-yes.dsvy-stretched-div:before{
	background-color: <?php echo dsvy_hex2rgb($secondary_color, '0.60') ?>;
}


/*--- Inner Colum BG  ---*/
.elementor-inner-section.dsvy-elementor-bg-color-secondary{ 
	background-color: <?php echo esc_attr($secondary_color); ?> !important;
}

/*--- Inner Row - without image ---*/
.elementor-inner-section.dsvy-elementor-bg-color-secondary:not(.dsvy-bg-image-over-color):before{
	background-color: <?php echo dsvy_hex2rgb($secondary_color, '0.60') ?>;
}


/*--- Inner Colum BG ---*/
.elementor-inner-column.dsvy-elementor-bg-color-secondary > div.elementor-column-wrap,
.elementor-inner-column.dsvy-elementor-bg-color-secondary > div.elementor-widget-wrap{ 
	background-color: <?php echo esc_attr($secondary_color); ?> !important;
}

/*--- Inner Colum BG - with image ---*/
.elementor-inner-column.dsvy-elementor-bg-color-secondary:not(.dsvy-bg-image-over-color) > div.elementor-column-wrap:before,
.elementor-inner-column.dsvy-elementor-bg-color-secondary:not(.dsvy-bg-image-over-color) > div.elementor-widget-wrap:before{
	background-color: <?php echo dsvy_hex2rgb($secondary_color, '0.60') ?>;
}



/*====== End --- Row Colum - Secondary BG Color ======*/

/* --------------------------------------
 * Row Colum - Blackish BG Color
 * ---------------------------------------*/


/*--- Main RoW BG ---*/
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-blackish, 
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-blackish:before, 
.elementor-section.elementor-inner-section.dsvy-elementor-bg-color-blackish {
    background-color: <?php echo esc_attr($blackish_color); ?>;
}

/*--- Main Row BG - with image ---*/
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-blackish.dsvy-bgimage-yes:before{
	background-color: <?php echo dsvy_hex2rgb($blackish_color, '0.60') ?>;
}

/*--- Main Colum BG - ---*/
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-blackish:not(.dsvy-bgimage-yes) .elementor-widget-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-blackish.dsvy-bg-image-over-color .elementor-widget-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-blackish:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-blackish.dsvy-bg-image-over-color:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap,

.elementor-column.elementor-top-column.dsvy-elementor-bg-color-blackish:not(.dsvy-bgimage-yes) .elementor-column-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-blackish.dsvy-bg-image-over-color .elementor-column-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-blackish:not(.dsvy-col-stretched-yes) > .elementor-column-wrap, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-blackish.dsvy-bg-image-over-color:not(.dsvy-col-stretched-yes) > .elementor-column-wrap{
	background-color: <?php echo esc_attr($blackish_color); ?> !important;
}


/*--- Main Colum BG - with image ---*/
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-blackish.dsvy-bgimage-yes:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-blackish.dsvy-bgimage-yes:not(.dsvy-bg-image-over-color) .elementor-widget-wrap .dsvy-stretched-div:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-blackish .elementor-widget-wrap .dsvy-bgimage-yes.dsvy-stretched-div:before,

.elementor-column.elementor-top-column.dsvy-elementor-bg-color-blackish.dsvy-bgimage-yes:not(.dsvy-col-stretched-yes) > .elementor-column-wrap:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-blackish.dsvy-bgimage-yes:not(.dsvy-bg-image-over-color) .elementor-column-wrap .dsvy-stretched-div:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-blackish .elementor-column-wrap .dsvy-bgimage-yes.dsvy-stretched-div:before{
	background-color: <?php echo dsvy_hex2rgb($blackish_color, '0.60') ?>;
}


/*--- Inner Colum BG  ---*/
.elementor-inner-section.dsvy-elementor-bg-color-blackish{ 
	background-color: <?php echo esc_attr($blackish_color); ?> !important;
}

/*--- Inner Row - without image ---*/
.elementor-inner-section.dsvy-elementor-bg-color-blackish:not(.dsvy-bg-image-over-color):before{
	background-color: <?php echo dsvy_hex2rgb($blackish_color, '0.60') ?>;
}


/*--- Inner Colum BG ---*/
.elementor-inner-column.dsvy-elementor-bg-color-blackish > div.elementor-column-wrap,
.elementor-inner-column.dsvy-elementor-bg-color-blackish > div.elementor-widget-wrap{ 
	background-color: <?php echo esc_attr($blackish_color); ?> !important;
}

/*--- Inner Colum BG - with image ---*/
.elementor-inner-column.dsvy-elementor-bg-color-blackish:not(.dsvy-bg-image-over-color) > div.elementor-column-wrap:before,
.elementor-inner-column.dsvy-elementor-bg-color-blackish:not(.dsvy-bg-image-over-color) > div.elementor-widget-wrap:before{
	background-color: <?php echo dsvy_hex2rgb($blackish_color, '0.60') ?>;
}


/*====== End --- Row Colum - Blackish BG Color ======*/

/* --------------------------------------
 * Row Colum - White BG Color
 * ---------------------------------------*/



/*--- Main RoW BG ---*/
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-white, 
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-white:before, 
.elementor-section.elementor-inner-section.dsvy-elementor-bg-color-white {
    background-color: <?php echo esc_attr($white_color); ?>;
}

/*--- Main Row BG - with image ---*/
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-white.dsvy-bgimage-yes:before{
	background-color: <?php echo dsvy_hex2rgb($white_color, '0.60') ?>;
}

/*--- Main Colum BG - ---*/
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-white:not(.dsvy-bgimage-yes) .elementor-widget-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-white.dsvy-bg-image-over-color .elementor-widget-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-white:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-white.dsvy-bg-image-over-color:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap,

.elementor-column.elementor-top-column.dsvy-elementor-bg-color-white:not(.dsvy-bgimage-yes) .elementor-column-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-white.dsvy-bg-image-over-color .elementor-column-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-white:not(.dsvy-col-stretched-yes) > .elementor-column-wrap, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-white.dsvy-bg-image-over-color:not(.dsvy-col-stretched-yes) > .elementor-column-wrap{
	background-color: <?php echo esc_attr($white_color); ?> !important;
}


/*--- Main Colum BG - with image ---*/
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-white.dsvy-bgimage-yes:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-white.dsvy-bgimage-yes:not(.dsvy-bg-image-over-color) .elementor-widget-wrap .dsvy-stretched-div:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-white .elementor-widget-wrap .dsvy-bgimage-yes.dsvy-stretched-div:before,

.elementor-column.elementor-top-column.dsvy-elementor-bg-color-white.dsvy-bgimage-yes:not(.dsvy-col-stretched-yes) > .elementor-column-wrap:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-white.dsvy-bgimage-yes:not(.dsvy-bg-image-over-color) .elementor-column-wrap .dsvy-stretched-div:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-white .elementor-column-wrap .dsvy-bgimage-yes.dsvy-stretched-div:before{
	background-color: <?php echo dsvy_hex2rgb($white_color, '0.60') ?>;
}


/*--- Inner Colum BG  ---*/
.elementor-inner-section.dsvy-elementor-bg-color-white{ 
	background-color: <?php echo esc_attr($white_color); ?> !important;
}

/*--- Inner Row - without image ---*/
.elementor-inner-section.dsvy-elementor-bg-color-white:not(.dsvy-bg-image-over-color):before{
	background-color: <?php echo dsvy_hex2rgb($white_color, '0.60') ?>;
}


/*--- Inner Colum BG ---*/
.elementor-inner-column.dsvy-elementor-bg-color-white > div.elementor-column-wrap,
.elementor-inner-column.dsvy-elementor-bg-color-white > div.elementor-widget-wrap{ 
	background-color: <?php echo esc_attr($white_color); ?> !important;
}

/*--- Inner Colum BG - with image ---*/
.elementor-inner-column.dsvy-elementor-bg-color-white:not(.dsvy-bg-image-over-color) > div.elementor-column-wrap:before,
.elementor-inner-column.dsvy-elementor-bg-color-white:not(.dsvy-bg-image-over-color) > div.elementor-widget-wrap:before{
	background-color: <?php echo dsvy_hex2rgb($white_color, '0.60') ?>;
}


/*====== End --- Row Colum - White BG Color ======*/


/* --------------------------------------
 * Row Colum - Gradient BG Color
 * ---------------------------------------*/

/*--- Main RoW BG ---*/
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-gradient, 
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-gradient:before, 
.elementor-section.elementor-inner-section.dsvy-elementor-bg-color-gradient {
    background-image: -ms-linear-gradient(right, <?php echo esc_attr($gradient_first); ?> 0%, <?php echo esc_attr($gradient_last); ?> 100%);
	background-image: linear-gradient(to right, <?php echo esc_attr($gradient_first); ?> , <?php echo esc_attr($gradient_last); ?> );
}

/*--- Main Row BG - with image ---*/
.elementor-section.elementor-top-section.dsvy-elementor-bg-color-gradient.dsvy-bgimage-yes:before{
    background-image: -ms-linear-gradient(right, <?php echo esc_attr($gradient_first); ?> 0%, <?php echo esc_attr($gradient_last); ?> 100%);
	background-image: linear-gradient(to right, <?php echo esc_attr($gradient_first); ?> , <?php echo esc_attr($gradient_last); ?> );
    opacity: 0.5;
}

/*--- Main Colum BG - ---*/
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-gradient:not(.dsvy-bgimage-yes) .elementor-widget-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-gradient.dsvy-bg-image-over-color .elementor-widget-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-gradient:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-gradient.dsvy-bg-image-over-color:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap,

.elementor-column.elementor-top-column.dsvy-elementor-bg-color-gradient:not(.dsvy-bgimage-yes) .elementor-column-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-gradient.dsvy-bg-image-over-color .elementor-column-wrap > .dsvy-stretched-div, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-gradient:not(.dsvy-col-stretched-yes) > .elementor-column-wrap, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-gradient.dsvy-bg-image-over-color:not(.dsvy-col-stretched-yes) > .elementor-column-wrap{
    background-image: -ms-linear-gradient(right, <?php echo esc_attr($gradient_first); ?> 0%, <?php echo esc_attr($gradient_last); ?> 100%);
	background-image: linear-gradient(to right, <?php echo esc_attr($gradient_first); ?> , <?php echo esc_attr($gradient_last); ?> );
}


/*--- Main Colum BG - with image ---*/
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-gradient.dsvy-bgimage-yes:not(.dsvy-col-stretched-yes) > .elementor-widget-wrap:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-gradient.dsvy-bgimage-yes:not(.dsvy-bg-image-over-color) .elementor-widget-wrap .dsvy-stretched-div:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-gradient .elementor-widget-wrap .dsvy-bgimage-yes.dsvy-stretched-div:before,

.elementor-column.elementor-top-column.dsvy-elementor-bg-color-gradient.dsvy-bgimage-yes:not(.dsvy-col-stretched-yes) > .elementor-column-wrap:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-gradient.dsvy-bgimage-yes:not(.dsvy-bg-image-over-color) .elementor-column-wrap .dsvy-stretched-div:before, 
.elementor-column.elementor-top-column.dsvy-elementor-bg-color-gradient .elementor-column-wrap .dsvy-bgimage-yes.dsvy-stretched-div:before{
    background-image: -ms-linear-gradient(right, <?php echo esc_attr($gradient_first); ?> 0%, <?php echo esc_attr($gradient_last); ?> 80%);
	background-image: linear-gradient(to right, <?php echo esc_attr($gradient_first); ?> , <?php echo esc_attr($gradient_last); ?> );
    opacity: 0.5;
}


/*--- Inner Colum BG  ---*/
.elementor-inner-section.dsvy-elementor-bg-color-gradient{ 
    background-image: -ms-linear-gradient(right, <?php echo esc_attr($gradient_first); ?> 0%, <?php echo esc_attr($gradient_last); ?> 100%);
	background-image: linear-gradient(to right, <?php echo esc_attr($gradient_first); ?> , <?php echo esc_attr($gradient_last); ?> );
}

/*--- Inner Row - without image ---*/
.elementor-inner-section.dsvy-elementor-bg-color-gradient:not(.dsvy-bg-image-over-color):before{
    background-image: -ms-linear-gradient(right, <?php echo esc_attr($gradient_first); ?> 0%, <?php echo esc_attr($gradient_last); ?> 100%);
	background-image: linear-gradient(to right, <?php echo esc_attr($gradient_first); ?> , <?php echo esc_attr($gradient_last); ?> );
    opacity: 0.5;
}


/*--- Inner Colum BG ---*/
.elementor-inner-column.dsvy-elementor-bg-color-gradient > div.elementor-column-wrap,
.elementor-inner-column.dsvy-elementor-bg-color-gradient > div.elementor-widget-wrap{ 
	background-image: -ms-linear-gradient(right, <?php echo esc_attr($gradient_first); ?> 0%, <?php echo esc_attr($gradient_last); ?> 100%);
	background-image: linear-gradient(to right, <?php echo esc_attr($gradient_first); ?> , <?php echo esc_attr($gradient_last); ?> );
}

/*--- Inner Colum BG - with image ---*/
.elementor-inner-column.dsvy-elementor-bg-color-gradient:not(.dsvy-bg-image-over-color) > div.elementor-column-wrap:before,
.elementor-inner-column.dsvy-elementor-bg-color-gradient:not(.dsvy-bg-image-over-color) > div.elementor-widget-wrap:before{
    background-image: -ms-linear-gradient(right, <?php echo esc_attr($gradient_first); ?> 0%, <?php echo esc_attr($gradient_last); ?> 100%);
	background-image: linear-gradient(to right, <?php echo esc_attr($gradient_first); ?> , <?php echo esc_attr($gradient_last); ?> );
}


/*====== End --- Row Colum - Gradient BG Color ======*/

























