"use strict";
jQuery(window).load(function($) {
    wp.customize(
        'header-style',
        function(header_style) {
            var header_height = '120';
            var header_bgcolor = 'white';
            var global_color = '#fcaf17';
            var light_bg_color = '#f6f6f6';
            var blackish_bg_color = '#0c121d';
            var secondary_color = '#0054ff';
            var menu_bgcolor = 'white';
            var main_menu_typography = {
                'font-family': 'Barlow',
                'variant': '700',
                'font-size': '15px',
                'line-height': '20px',
                'letter-spacing': '0.5px',
                'color': '#0c121d',
                'text-transform': 'uppercase',
                'font-backup': '',
            };
            var header_box_title_typography = {
                'font-family': 'Barlow',
                'variant': '700',
                'font-size': '17px',
                'line-height': '27px',
                'letter-spacing': '0px',
                'color': '#0c121d',
                'text-transform': 'none',
                'font-backup': ''
            };
            var header_box_content_typography = {
                'font-family': 'Barlow',
                'variant': '700',
                'font-size': '15px',
                'line-height': '25px',
                'letter-spacing': '1px',
                'color': '#b0b6bf',
                'text-transform': 'none',
                'font-backup': ''
            };
            var sticky_header_bgcolor = 'white';
            var header_search = false;
            var header_btn_text = '';
            var header_btn_text2 = '';
            var heder_btn_url = '';
            var header_box1_icon = 'dsvy-digicop-icon dsvy-digicop-icon-email;fa fa-map-marker;sgicon sgicon-Pointer';
            var header_box1_title = 'Call us for any question';
            var header_box1_content = '(+00)888.666.88';
            var header_box1_link = '';
            var header_box2_icon = 'dsvy-digicop-icon dsvy-digicop-icon-mail;fa fa-info-circle;sgicon sgicon-Mail;';
            var header_box2_title = 'Request on';
            var header_box2_content = 'Get Appointment';
            var header_box2_link = '';
            var header_box3_icon = 'dsvy-digicop-icon dsvy-digicop-icon-;fa fa-info-circle;sgicon sgicon-Phone2;';
            var header_box3_title = '000 8888 999';
            var header_box3_content = 'Free Call';
            var header_box3_link = '';
            var main_menu_active_color = 'globalcolor';
            var main_menu_sticky_color = '#09162a';
            var preheader_enable = false;
            var preheader_left = '<i class="dsvy-base-icon-marker"></i> Los Angeles Gournadi, 1230  Bariasl';
            var preheader_right = '<ul class="dsvy-contact-info"><li><i class="dsvy-base-icon-contact"></i> Make a call  : +1 (212) 255-5511</li><li>[dsvy-social-links]</li></ul>';
            var logo_height = '55';
            var preheader_bgcolor = 'blackish';
            var preheader_text_color = 'white';
            var titlebar_height = '450';
            var titlebar_bgcolor = 'light';
            var titlebar_background = {
                'background-color': '#f6f6f6',
                'background-repeat': 'no-repeat',
                'background-position': 'center center',
                'background-size': 'cover',
                'background-attachment': 'scroll',
                'background-image': dsvy_admin_js_variables.theme_path + '/images/title-bg.jpg',
            };
            var titlebar_heading_typography = {
                'font-family': 'Barlow',
                'variant': '700',
                'font-size': '42px',
                'line-height': '52px',
                'letter-spacing': '0px',
                'color': '#0c121d',
                'text-transform': 'none',
                'font-backup': ''
            };
            var titlebar_subheading_typography = {
                'font-family': 'Barlow',
                'variant': '700',
                'font-size': '16px',
                'line-height': '1.5',
                'letter-spacing': '0px',
                'color': '#0c121d',
                'text-transform': 'none',
                'font-backup': ''
            };
            var titlebar_breadcrumb_typography = {
                'font-family': 'Barlow',
                'variant': '700',
                'font-size': '12px',
                'line-height': '1.5',
                'letter-spacing': '1px',
                'color': '#6d7a8c',
                'text-transform': 'uppercase',
                'font-backup': ''
            };
            var logo = dsvy_admin_js_variables.theme_path + '/images/logo.png';
            var sticky_logo = '';
            header_style.bind(function(value) {
                if (value == '1') { // Default header style
                    wp.customize('global-color').set(global_color);
                    wp.customize('light-bg-color').set(light_bg_color);
                    wp.customize('blackish-bg-color').set(blackish_bg_color);
                    wp.customize('secondary-color').set(secondary_color);
                    wp.customize('header-height').set(header_height);
                    wp.customize('header-bgcolor').set(header_bgcolor);
                    wp.customize('menu-bgcolor').set(menu_bgcolor);
                    wp.customize('main-menu-typography').set(main_menu_typography);
                    wp.customize('header-box-title-typography').set(header_box_title_typography);
                    wp.customize('header-box-content-typography').set(header_box_content_typography);
                    wp.customize('header-search').set(false);
                    wp.customize('sticky-header-bgcolor').set(sticky_header_bgcolor);
                    wp.customize('main-menu-active-color').set(main_menu_active_color);
                    wp.customize('main-menu-sticky-color').set(main_menu_sticky_color);
                    wp.customize('preheader-enable').set(preheader_enable);
                    wp.customize('logo-height').set(logo_height);
                    wp.customize('preheader-bgcolor').set(preheader_bgcolor);
                    wp.customize('preheader-text-color').set(preheader_text_color);
                    wp.customize('titlebar-height').set(titlebar_height);
                    wp.customize('titlebar-bgcolor').set(titlebar_bgcolor);
                    wp.customize('titlebar-background').set(titlebar_background);
                    wp.customize('titlebar-heading-typography').set(titlebar_heading_typography);
                    wp.customize('titlebar-subheading-typography').set(titlebar_subheading_typography);
                    wp.customize('titlebar-breadcrumb-typography').set(titlebar_breadcrumb_typography);
                    wp.customize('logo').set(logo);
                    wp.customize('sticky-logo').set(sticky_logo);
                    wp.customize('header-btn-text').set('');
                    wp.customize('header-btn-text2').set('');
                    wp.customize('header-btn-url').set('');
                } else if (value == '2') { // Header style 2 
                    wp.customize('global-color').set('#c01120');
                    wp.customize('light-bg-color').set('#f5f5f5');
                    wp.customize('blackish-bg-color').set('#1a191d');
                    wp.customize('secondary-color').set('#c01120');
                    wp.customize('header-height').set('120');
                    wp.customize('header-bgcolor').set('transparent');
                    wp.customize('menu-bgcolor').set(menu_bgcolor);
                    wp.customize('main-menu-typography').set({
                        'font-family': 'Barlow',
                        'variant': '600',
                        'font-size': '16px',
                        'line-height': '20px',
                        'letter-spacing': '0.5px',
                        'color': '#ffffff',
                        'text-transform': 'uppercase',
                        'font-backup': '',
                    });
                    wp.customize('header-box-title-typography').set(header_box_title_typography);
                    wp.customize('header-box-content-typography').set(header_box_content_typography);
                    wp.customize('header-search').set(false);
                    wp.customize('preheader-search').set(true);
                    wp.customize('preheader-enable').set(true);
                    wp.customize('preheader-left').set('<ul class="dsvy-contact-info dsvy-skincolor-icon"><li><i class="dsvy-base-icon-letter"></i> Make a call  : +1 (212) 255-5511</li><li><i class="dsvy-base-icon-placeholder-1"></i> Los Angeles Gournadi, 1230  Bariasl</li></ul>');
                    wp.customize('preheader-right').set('[dsvy-social-links]');
                    wp.customize('header-btn-text').set('Have any Questions?');
                    wp.customize('header-btn-text2').set('+0 123 456 789');
                    wp.customize('header-btn-url').set('#');
                    wp.customize('sticky-header-bgcolor').set(sticky_header_bgcolor);
                    wp.customize('main-menu-active-color').set(main_menu_active_color);
                    wp.customize('main-menu-sticky-color').set(main_menu_sticky_color);
                    wp.customize('logo-height').set('55');
                    wp.customize('preheader-bgcolor').set('transparent');
                    wp.customize('preheader-text-color').set(preheader_text_color);
                    wp.customize('titlebar-height').set('500');
                    wp.customize('titlebar-bgcolor').set('transparent');
                    wp.customize('titlebar-background').set({
                        'background-color': '#f6f6f6',
                        'background-repeat': 'no-repeat',
                        'background-position': 'center center',
                        'background-size': 'cover',
                        'background-attachment': 'scroll',
                        'background-image': dsvy_admin_js_variables.theme_path + '/images/title-bg.jpg',
                    });
                    wp.customize('titlebar-heading-typography').set({
                        'font-family': 'Barlow',
                        'variant': '700',
                        'font-size': '42px',
                        'line-height': '60px',
                        'letter-spacing': '0px',
                        'color': '#ffffff',
                        'text-transform': 'none',
                        'font-backup': ''
                    });
                    wp.customize('titlebar-subheading-typography').set({
                        'font-family': 'Barlow',
                        'variant': '700',
                        'font-size': '16px',
                        'line-height': '1.5',
                        'letter-spacing': '0px',
                        'color': '#ffffff',
                        'text-transform': 'none',
                        'font-backup': ''
                    });
                    wp.customize('titlebar-breadcrumb-typography').set({
                        'font-family': 'Barlow',
                        'variant': '500',
                        'font-size': '14px',
                        'line-height': '1.5',
                        'letter-spacing': '1px',
                        'color': '#ffffff',
                        'text-transform': 'uppercase',
                        'font-backup': ''
                    });
                    wp.customize('logo').set(dsvy_admin_js_variables.theme_path + '/images/logo-dark.png');
                    wp.customize('sticky-logo').set(dsvy_admin_js_variables.theme_path + '/images/digicop-logo.png');

                } else if (value == '3') { // Header style 3
                    wp.customize('global-color').set('#fa8100');
                    wp.customize('light-bg-color').set('#f5f5f5');
                    wp.customize('blackish-bg-color').set('#171717');
                    wp.customize('secondary-color').set('#fa8100');
                    wp.customize('header-height').set('120');
                    wp.customize('header-bgcolor').set(header_bgcolor);
                    wp.customize('main-menu-typography').set({
                        'font-family': 'Barlow',
                        'variant': '700',
                        'font-size': '15px',
                        'line-height': '20px',
                        'letter-spacing': '0.5px',
                        'color': '#ffffff',
                        'text-transform': 'uppercase',
                        'font-backup': '',
                    });
                    wp.customize('header-box-title-typography').set({
                        'font-family': 'Barlow',
                        'variant': '700',
                        'font-size': '17px',
                        'line-height': '27px',
                        'letter-spacing': '0px',
                        'color': '#0c121d',
                        'text-transform': 'none',
                        'font-backup': '',
                    });
                    wp.customize('header-box-content-typography').set({
                        'font-family': 'Barlow',
                        'variant': '600',
                        'font-size': '15px',
                        'line-height': '25px',
                        'letter-spacing': '1px',
                        'color': '#b0b6bf',
                        'text-transform': 'none',
                        'font-backup': '',
                    });
                    wp.customize('header-search').set(true);
                    wp.customize('sticky-header-bgcolor').set('globalcolor');
                    wp.customize('main-menu-active-color').set('white');
                    wp.customize('main-menu-sticky-color').set('#fff');
                    wp.customize('menu-bgcolor').set('globalcolor');
                    wp.customize('preheader-enable').set(true);
                    wp.customize('preheader-left').set('<ul class="dsvy-contact-info"><li><i class="dsvy-base-icon-contact"></i> Make a call  : +1 (212) 255-5511</li><li><i class="dsvy-base-icon-marker"></i> Los Angeles Gournadi, 1230  Bariasl</li></ul>');
                    wp.customize('preheader-right').set('[dsvy-social-links]');
                    wp.customize('header-box1-icon').set('dsvy-digicop-icon dsvy-digicop-icon-email');
                    wp.customize('header-box1-title').set('Call us for any question');
                    wp.customize('header-box1-content').set('(+00)888.666.88');
                    wp.customize('header-box1-link').set('');
                    wp.customize('header-box2-icon').set('dsvy-digicop-icon dsvy-digicop-icon-pin');
                    wp.customize('header-box2-title').set('Request on');
                    wp.customize('header-box2-content').set('Get Appointment');
                    wp.customize('header-box2-link').set('');
                    wp.customize('header-box3-icon').set('dsvy-digicop-icon dsvy-digicop-icon-call');
                    wp.customize('header-box3-title').set('000 8888 999');
                    wp.customize('header-box3-content').set('Free Call');
                    wp.customize('header-box3-link').set('');
                    wp.customize('header-btn-text').set('Request Quote');
                    wp.customize('header-btn-text2').set('');
                    wp.customize('header-btn-url').set('#');
                    wp.customize('logo-height').set('55');
                    wp.customize('preheader-bgcolor').set('light');
                    wp.customize('preheader-text-color').set('blackish');
                    wp.customize('titlebar-height').set('400');
                    wp.customize('titlebar-bgcolor').set('transparent');
                    wp.customize('titlebar-background').set({
                        'background-color': '#ffffff',
                        'background-repeat': 'no-repeat',
                        'background-position': 'center center',
                        'background-size': 'cover',
                        'background-attachment': 'scroll',
                        'background-image': dsvy_admin_js_variables.theme_path + '/images/title-bg.jpg',
                    });
                    wp.customize('titlebar-heading-typography').set({
                        'font-family': 'Barlow',
                        'variant': '700',
                        'font-size': '42px',
                        'line-height': '60px',
                        'letter-spacing': '0px',
                        'color': '#ffffff',
                        'text-transform': 'none',
                        'font-backup': '',
                    });
                    wp.customize('titlebar-subheading-typography').set({
                        'font-family': 'Barlow',
                        'variant': '700',
                        'font-size': '16px',
                        'line-height': '1.5',
                        'letter-spacing': '0px',
                        'color': '#ffffff',
                        'text-transform': 'none',
                        'font-backup': '',
                    });
                    wp.customize('titlebar-breadcrumb-typography').set({
                        'font-family': 'Barlow',
                        'variant': '500',
                        'font-size': '14px',
                        'line-height': '1.5',
                        'letter-spacing': '1px',
                        'color': '#ffffff',
                        'text-transform': 'uppercase',
                        'font-backup': '',
                    });
                    wp.customize('logo').set(dsvy_admin_js_variables.theme_path + '/images/logo.png');
                    wp.customize('sticky-logo').set(dsvy_admin_js_variables.theme_path + '/images/logo.png');

                } else if (value == '4') { // Header style 4
                    wp.customize('global-color').set('#fcaf17');
                    wp.customize('light-bg-color').set('#f6f6f6');
                    wp.customize('blackish-bg-color').set('#1a1a1a');
                    wp.customize('secondary-color').set(secondary_color);
                    wp.customize('header-height').set(header_height);
                    wp.customize('header-bgcolor').set(header_bgcolor);
                    wp.customize('menu-bgcolor').set(menu_bgcolor);
                    wp.customize('main-menu-typography').set({
                        'font-family': 'Barlow',
                        'variant': '700',
                        'font-size': '15px',
                        'line-height': '20px',
                        'letter-spacing': '0.5px',
                        'color': '#0c121d',
                        'text-transform': 'uppercase',
                        'font-backup': '',
                    });
                    wp.customize('header-box-title-typography').set(header_box_title_typography);
                    wp.customize('header-box-content-typography').set(header_box_content_typography);
                    wp.customize('header-search').set(false);
                    wp.customize('preheader-search').set(true);
                    wp.customize('preheader-enable').set(true);
                    wp.customize('preheader-left').set('<ul class="dsvy-contact-info"><li><i class="dsvy-base-icon-contact"></i> Make a call  : +1 (212) 255-5511</li><li><i class="dsvy-base-icon-marker"></i> Los Angeles Gournadi, 1230  Bariasl</li></ul>');
                    wp.customize('preheader-right').set('[dsvy-social-links]');
                    wp.customize('header-btn-text').set('Have any Questions?');
                    wp.customize('header-btn-text2').set('+0 123 888 555');
                    wp.customize('header-btn-url').set('#');
                    wp.customize('sticky-header-bgcolor').set(sticky_header_bgcolor);
                    wp.customize('main-menu-active-color').set(main_menu_active_color);
                    wp.customize('main-menu-sticky-color').set(main_menu_sticky_color);
                    wp.customize('logo-height').set(logo_height);
                    wp.customize('preheader-bgcolor').set(preheader_bgcolor);
                    wp.customize('preheader-text-color').set(preheader_text_color);
                    wp.customize('titlebar-height').set('450');
                    wp.customize('titlebar-bgcolor').set('transparent');
                    wp.customize('titlebar-background').set({
                        'background-color': 'rgba(255,255,255,0)',
                        'background-repeat': 'no-repeat',
                        'background-position': 'center center',
                        'background-size': 'cover',
                        'background-attachment': 'scroll',
                        'background-image': dsvy_admin_js_variables.theme_path + '/images/title-bg.jpg',
                    });
                    wp.customize('titlebar-heading-typography').set({
                        'font-family': 'Barlow',
                        'variant': '700',
                        'font-size': '42px',
                        'line-height': '52px',
                        'letter-spacing': '0px',
                        'color': '#ffffff',
                        'text-transform': 'none',
                        'font-backup': '',
                    });
                    wp.customize('titlebar-subheading-typography').set({
                        'font-family': 'Barlow',
                        'variant': '700',
                        'font-size': '16px',
                        'line-height': '1.5',
                        'letter-spacing': '0px',
                        'color': '#ffffff',
                        'text-transform': 'none',
                        'font-backup': '',
                    });
                    wp.customize('titlebar-breadcrumb-typography').set({
                        'font-family': 'Barlow',
                        'variant': '500',
                        'font-size': '14px',
                        'line-height': '1.5',
                        'letter-spacing': '1px',
                        'color': '#ffffff',
                        'text-transform': 'uppercase',
                        'font-backup': '',
                    });
                    wp.customize('logo').set(dsvy_admin_js_variables.theme_path + '/images/logo.png');
                    wp.customize('sticky-logo').set(dsvy_admin_js_variables.theme_path + '/images/logo.png');
                }
            });
        }
    );
}); // window.load