<div class="post-item">
	<div class="designervily-box-content">	
		<div class="dsvy-meta-date"><span><?php echo get_the_date( 'M d, y' ); ?></span></div>			
		<h3 class="dsvy-post-title"><a href="<?php the_permalink(); ?>"><?php echo get_the_title(); ?></a></h3>
		<div class="designervily-box-desc">
			<div class="designervily-box-desc-text">
				<?php
				$limit			= dsvy_get_base_option('blog-element-limit');
				$limit_switch	= dsvy_get_base_option('blog-element-limit-switch');
				if ( has_excerpt() ){
					the_excerpt();
				} else if( $limit>0 && $limit_switch=='1' ){
					$content = get_the_content('',FALSE,'');
					$content = wp_strip_all_tags($content);
					$content = strip_shortcodes($content);
					echo dsvy_esc_kses( wp_trim_words($content, $limit) );
				} else { 
					the_content( '' );
				}
				?>					
			</div>		
			<div class="dsvy-read-more-link"><a href="<?php echo esc_url( get_permalink() ) ?>"><span><?php esc_html_e('Read More', 'digicop'); ?></span></a></div>	
		</div>
		<div class="dsvy-meta-container">
			<div class="dsvy-meta-author-wrapper dsvy-meta-line">					
				<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" title="<?php printf( esc_attr__('Posted by %1$s','digicop'), get_the_author() ); ?>" rel="author"><i class="dsvy-base-icon-user"></i> <?php printf( __( 'by %1$s', 'digicop' ), get_the_author() ); ?></a>
			</div>
			<div class="dsvy-meta-date-wrapper dsvy-meta-line">					
				<div class="dsvy-meta-category"><i class="dsvy-base-icon-folder-open-empty"></i> <?php echo get_the_category_list( ', ' ); ?></div>	
			</div>				
			<div class="dsvy-meta-date-wrapper dsvy-meta-line">	
				<i class="dsvy-base-icon-comment-empty"></i> <span class="dsvy-meta dsvy-meta-comments"><?php echo esc_html( get_comments_number() ); ?></span>
			</div>
			<?php
			$catlist = get_the_category_list( ', ' );
			if( !empty($catlist) ) : ?>				
			<?php endif; ?>
		</div>
	</div>
</div>